> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dispute detail

> Includes full timeline from audit log.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/disputes/{id}
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/disputes/{id}:
    get:
      tags:
        - Disputes
      summary: Get dispute detail
      description: Includes full timeline from audit log.
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Dispute
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Dispute'
                required:
                  - data
        '404':
          description: Not found
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    Dispute:
      type: object
      properties:
        id:
          type: string
          format: uuid
        transfer_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - open
            - under_review
            - escalated
            - resolved
        reason:
          type: string
          enum:
            - service_not_received
            - duplicate_charge
            - unauthorized
            - amount_incorrect
            - quality_issue
            - other
        description:
          type: string
        amount_disputed:
          type: string
        currency:
          type: string
        requested_resolution:
          type: string
          enum:
            - full_refund
            - partial_refund
            - credit
            - no_refund
            - other
        evidence:
          type: array
          items:
            $ref: '#/components/schemas/DisputeEvidence'
          default: []
        response_window_ends_at:
          type: string
          format: date-time
        created_at:
          type: string
          format: date-time
        resolved_at:
          type:
            - string
            - 'null'
          format: date-time
        resolution:
          type:
            - string
            - 'null'
          enum:
            - full_refund
            - partial_refund
            - credit
            - no_refund
            - other
      required:
        - id
        - transfer_id
        - status
        - reason
        - description
        - amount_disputed
        - currency
        - response_window_ends_at
        - created_at
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
    DisputeEvidence:
      type: object
      properties:
        type:
          type: string
        description:
          type: string
        url:
          type: string
          format: uri
        content:
          type: string
      required:
        - type
        - description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````